
define function invoke-row ($field,$style) {
  <tr><td>{$field}</td><td><{$style}>{invoke($request,$field)}</></td></tr>}

define function do-invoke ($field,$style) {
  invoke-row($field,$style),"
" }

<p>Hello, the request was {$request}.
The response was {$response}.</p>,
<pre>The request URI was (using path) {$request/requestURI}.
The request method (using path) was {$request/method}.
The path-info (using path) was {$request/pathInfo}</pre>,
<table>
<tr><th>Field name (using invoke)</th><th>field value</th></tr>
{do-invoke("getRequestURI","strong"),
do-invoke("getContentType","code"),
do-invoke("getProtocol","u"),
do-invoke("getRemoteAddr","code"),
do-invoke("getRemoteHost","code"),
do-invoke("getScheme","code"),
do-invoke("getServerName","code"),
do-invoke("getServerPort","code"),
do-invoke("getAuthType","code"),
do-invoke("getMethod","code"),
do-invoke("getPathInfo","code"),
do-invoke("getPathTranslated","code"),
do-invoke("getQueryString","code"),
do-invoke("getRemoteUser","code"),
do-invoke("getRequestURI","code"),
do-invoke("getServletPath","code")
}</table>
